(function ($) {

    $.fn.ImageCompressCompare = function () {

        this.each( function() {

            var container = $(this);

            var beforeContainer = $('.before', container);
            var beforeImage = $('img',beforeContainer);

            var afterContainer = $('.after', container);
            var afterImage = $('img', afterContainer);

            $(beforeImage, afterImage).load(function() {

                var beforeImageWidth = $(beforeImage).width();
                var beforeImageHeight = $(beforeImage).height();

                $(container).css('width', beforeImageWidth);
                $(container).css('height', beforeImageHeight);

                $(beforeContainer).css('width', beforeImageWidth);
                $(beforeContainer).css('height', beforeImageHeight);

                $(afterContainer).css('width', beforeImageWidth);
                $(afterContainer).css('height', beforeImageHeight);

            });

        });

    };

}(jQuery));