<?php


/**
 * Class - NextGen Gallery
 */
class wps_ic_nextgen extends wps_ic {

  public static $ngg_pictures = 'ngg_pictures';
  public static $ngg_gallery = 'ngg_gallery';

  public function __construct() {
  }


  public function using() {
    global $wpdb;
    if (defined('NGG_PLUGIN')) {
      return true;
    } else {

      $query = $wpdb->prepare("SELECT path FROM " . $wpdb->prefix . $this::$ngg_gallery . " LIMIT 1");
      $query = $wpdb->get_var($query);

      if ($query) {
        return true;
      } else {
        return false;
      }

    }
  }


  public function get_gallery_dir($id = '') {
    global $wpdb;

    if (empty($id)) {
      return WP_CONTENT_DIR . '/gallery';
    }

    $query = $wpdb->prepare("SELECT path FROM " . $wpdb->prefix . $this::$ngg_gallery . " WHERE gid=%s", $id);
    $query = $wpdb->get_var($query);

    if ($query) {
      return $query;
    } else {
      return false;
    }

  }


  public function get_picture($pid = '', $gid = '') {
    global $wpdb;

    if (empty($pid)) {
      return false;
    }

    if (empty($gid)) {
      $query = $wpdb->prepare("SELECT galleryid FROM " . $wpdb->prefix . $this::$ngg_pictures . " WHERE pid=%s", $pid, $gid);
    } else {
      $query = $wpdb->prepare("SELECT filename FROM " . $wpdb->prefix . $this::$ngg_pictures . " WHERE pid=%s AND galleryid=%s", $pid, $gid);
    }
    $query = $wpdb->get_var($query);

    if ($query) {
      return $query;
    } else {
      return false;
    }

  }


}