<?php

class wps_ic_log extends wps_ic {

  public static $log_path;

  public function __construct() {
    $this::$log_path = WPS_IC_DIR;
  }


  public function reset() {
    $log_file = $this::$log_path . 'log.txt';
    $fp = fopen($log_file, 'w');
    fclose($fp);
  }


  public function view() {
    $log_file = $this::$log_path . 'log.txt';
    $contents = file_get_contents($log_file);
    echo nl2br(print_r($contents, true));
  }


  public function write($event, $message, $file = 'log.txt', $force = false) {

    if (!WPS_IC_DEBUG || $force) {

      $log_file = $this::$log_path . $file;

      if (!file_exists($log_file)) {
        fopen($log_file, 'w');
      }

      $log = file_get_contents($log_file);

      if ($message == '-') {
        $log .= '--' . "\r\n";
      }
      else {
        $log .= '[' . date('d.m.Y H:i:s') . '] Event occured: ' . $event . ' - ' . $message . "\r\n";
      }
      file_put_contents($log_file, $log);
    }
  }


}